# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Action Class Reference

Representation of STEP entity Action
.

`#include <StepBasic_Action.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_Action ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Boolean hasDescription, const Handle(TCollection_HAsciiString)&aDescription, const Handle(StepBasic_ActionMethod)&aChosenMethod)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT Handle_TCollection_HAsciiString | Description () const
| Returns field Description .
Standard_EXPORT void | SetDescription (const Handle(TCollection_HAsciiString)&Description)
| Set field Description .
Standard_EXPORT Standard_Boolean | HasDescription () const
| Returns True if optional field Description is defined .
Standard_EXPORT Handle_StepBasic_ActionMethod | ChosenMethod () const
| Returns field ChosenMethod .
Standard_EXPORT void | SetChosenMethod (const Handle(StepBasic_ActionMethod)&ChosenMethod)
| Set field ChosenMethod .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theName
Handle_TCollection_HAsciiString | theDescription
Handle_StepBasic_ActionMethod | theChosenMethod
Standard_Boolean | defDescription

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Action::StepBasic_Action | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_ActionMethod StepBasic_Action::ChosenMethod | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Action::Description | ( |  | ) | const

Standard_EXPORT const StepBasic_Action::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_Action::HasDescription | ( |  | ) | const

Standard_EXPORT void StepBasic_Action::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Boolean | hasDescription,
|  | const Handle(TCollection_HAsciiString)& | aDescription,
|  | const Handle(StepBasic_ActionMethod)& | aChosenMethod
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_Action::Name | ( |  | ) | const

Standard_EXPORT void StepBasic_Action::SetChosenMethod | ( | const Handle(StepBasic_ActionMethod)& | ChosenMethod | ) |

Standard_EXPORT void StepBasic_Action::SetDescription | ( | const Handle(TCollection_HAsciiString)& | Description | ) |

Standard_EXPORT void StepBasic_Action::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Standard_Boolean StepBasic_Action::defDescription`[private]`

Handle_StepBasic_ActionMethod StepBasic_Action::theChosenMethod`[private]`

Handle_TCollection_HAsciiString StepBasic_Action::theDescription`[private]`

Handle_TCollection_HAsciiString StepBasic_Action::theName`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Action.hxx